variable "contact_points" {
  description = "List of contact points for Grafana alerts"
  type = list(object({
    name     = string
    type     = string
    settings = map(string)
  }))
}

variable "disable_provenance" {
  description = "Controls whether Grafana provisioning is disabled"
  type        = bool
  default     = true
}

variable "org_id" {
  description = "ID of the Grafana organization"
  type        = string
}

variable "grafana_url" {
  description = "Grafana URL"
  type        = string
}

variable "env" {
  description = "Grafana environment"
  type        = string
}
